• NodeBB gibt es jetzt schon was länger als Version 2.0.0, ich habe mich aber bis heute noch nicht mit dem Thema beschäftigt. Ansonsten bin ich immer sehr schnell mit Upgrades, diesmal habe ich mir Zeit gelassen.

    Als Vorebereitung einen Snapshot angelegt, man weiß ja nie....

    Ok, los geht's

    user :~/nodebb$ git fetch
    remote: Enumerating objects: 999, done.
    remote: Counting objects: 100% (895/895), done.
    remote: Compressing objects: 100% (375/375), done.
    remote: Total 999 (delta 556), reused 853 (delta 520), pack-reused 104
    Receiving objects: 100% (999/999), 576.49 KiB | 18.01 MiB/s, done.
    Resolving deltas: 100% (601/601), completed with 146 local objects.
    From https://github.com/NodeBB/NodeBB
     * [new branch]            dependabot/npm_and_yarn/install/ace-builds-1.5.0                 -> origin/dependabot/npm_and_yarn/install/ace-builds-1.5.0
     * [new branch]            dependabot/npm_and_yarn/install/commitlint/cli-17.0.0            -> origin/dependabot/npm_and_yarn/install/commitlint/cli-17.0.0
     * [new branch]            dependabot/npm_and_yarn/install/commitlint/config-angular-17.0.0 -> origin/dependabot/npm_and_yarn/install/commitlint/config-angular-17.0.0
     * [new branch]            dependabot/npm_and_yarn/install/passport-0.5.3                   -> origin/dependabot/npm_and_yarn/install/passport-0.5.3
       6217db0041..b124370b92  master                                                           -> origin/master
     + dcbe524fcf...b0d4ab5542 renovate/apidevtools-swagger-parser-10.x                         -> origin/renovate/apidevtools-swagger-parser-10.x  (forced update)
     * [new branch]            renovate/cron-2.x                                                -> origin/renovate/cron-2.x
     * [new branch]            renovate/docker-metadata-action-4.x                              -> origin/renovate/docker-metadata-action-4.x
     + 85d3775d8d...46aaad98a4 renovate/lru-cache-7.x                                           -> origin/renovate/lru-cache-7.x  (forced update)
     * [new branch]            v2.0.x                                                           -> origin/v2.0.x
     * [new tag]               v2.0.0                                                           -> v2.0.0
    

    Da sieht man die Version 2.0.0

    user:~/nodebb$ git checkout v2.0.x 
    Branch 'v2.0.x' set up to track remote branch 'v2.0.x' from 'origin'.
    Switched to a new branch 'v2.0.x'
    

    Danach der Upgrade Vorgang

    user:~/nodebb$ ./nodebb upgrade
    

    Es kamen ein paar Warnungen

    npm WARN ERESOLVE overriding peer dependency
    npm WARN While resolving: nodebb@2.0.0
    npm WARN Found: nodebb-plugin-emoji@3.5.17
    npm WARN node_modules/nodebb-plugin-emoji
    npm WARN   nodebb-plugin-emoji@"4.0.2" from the root project
    npm WARN   2 more (nodebb-plugin-emoji-android, nodebb-plugin-emoji-apple)
    npm WARN 
    npm WARN Could not resolve dependency:
    npm WARN peer nodebb-plugin-emoji@"^3.4.2 || ^3.5.0" from nodebb-plugin-emoji-apple@2.0.5
    npm WARN node_modules/nodebb-plugin-emoji-apple
    npm WARN   nodebb-plugin-emoji-apple@"^2.0.5" from the root project
    npm WARN deprecated cron@1.8.3: Breaking dependency change (moved from moment to luxon). Please move to 2.0.0.
    

    Eine Meldung, das npm veraltet ist

    npm notice 
    npm notice New minor version of npm available! 8.5.5 -> 8.10.0
    npm notice Changelog: https://github.com/npm/cli/releases/tag/v8.10.0
    npm notice Run npm install -g npm@8.10.0 to update!
    npm notice 
    

    Zwei Warnungen für Webpack 5

    WARNING in asset size limit: The following asset(s) exceed the recommended size limit (244 KiB).
    This can impact web performance.
    Assets: 
      03371bf1d5cbb1eab58e3a0130d1e9c2.js (491 KiB)
      nodebb.min.js (1.15 MiB)
      admin.min.js (1.33 MiB)
      8522.29b4b3a5215e23298727.min.js (471 KiB)
      4793.874eeda7b33b3d945f82.min.js (455 KiB)
    
    WARNING in entrypoint size limit: The following entrypoint(s) combined asset size exceeds the recommended limit (244 KiB). This can impact web performance.
    Entrypoints:
      nodebb (1.15 MiB)
          nodebb.min.js
      admin (1.33 MiB)
          admin.min.js
    
    webpack 5.72.0 compiled with 2 warnings in 68852 ms
    2022-05-21T12:12:12.827Z [4568/255219] - info: [build] Asset compilation successful. Completed in 79.216sec.
    

    Sieht schlimmer aus als es ist, weil man das auch ignorieren kann. Das Forum läuft auf v2.0.0, nein nicht dieses Forum hier, sondern mein Testforum. Das Forum hier ist evt. morgen früh dran.


  • Seit eben ist dieses Forum jetzt auch auf der v2.0.0. Sollte jemand einen Fehler finden, bitte ich um einen kurzen Hinweis. Danke.


  • Irgendwie hatte ich Differenzen zwischen meinen beiden Foren, die es eigentlich nicht geben dürfte!?

    Problem scheint zu sein, das das Plugin

    nodebb-plugin-ns-embed
    

    nicht richtig funktioniert. Da bekam ich den Tipp, das Plugin

     nodebb-plugin-embed
    

    zu installieren. Das ging aber nicht über das Admin Panel, da kam folgendes.

    plugin_error.png

    Ok, dann von Hand

    npm install nodebb-plugin-embed
    

    Im Admin Panel aktivieren, danach Rebuild und Restarten. Aktuell in v2.0.0 nicht über das Admin Panle durchführbar, Fix ist schon fertig. Kommt wohl mit v2.0.1

    ./nodebb upgrade
    ./nodebb restart
    

    Danach lief alles!?? Hoffe ich 🙂

  • Pinned by  FrankM FrankM 
  • Unpinned by  FrankM FrankM 
  • 1
  • 1
  • 1
  • 1
  • 2
  • 2
  • 1
  • 1